Bug 1261984 - (6.4.z) Change in connection allocation of the HornetQ resource adapter
(6.4.z) Change in connection allocation of the HornetQ resource adapter
Status: CLOSED DUPLICATE of bug 1267172
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bartek Spyrko-Smietanko
Miroslav Novak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 10:37 EDT by Tom Ross
Modified: 2016-03-31 14:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 14:47:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1492 Major Open Change in connection allocation of the HornetQ resource adapter 2017-09-17 07:03 EDT

  None (edit)
Description Tom Ross 2015-09-10 10:37:17 EDT
A Hornet RA that is configured with multiple static connectors that points to a remote cluster.

 <connectors>
    <connector-ref connector-name=host1"/>
   <connector-ref connector-name="host2"/>                            
</connectors>


At startup if host2 is not up and running all connections will be allocated to host1. 
This is not desirable, the RA should be trying indefinlty to establish connection to host2 in hope that it may come up at some time in the future.

Note You need to log in before you can comment on or make changes to this bug.